Package org.stianloader.picoresolve.internal

# Class XMLUtil

java.lang.Object
org.stianloader.picoresolve.internal.XMLUtil

public class XMLUtil extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`XMLUtil.ChildElementIterable`
`static class`
`XMLUtil.ElementNodeListIterator`
`static class`
`XMLUtil.NodeListIterator`

## Constructor Summary

Constructors
Constructor
Description
`XMLUtil()`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable String`
`elementText(@NotNull Element node, @NotNull String name)`
`static @NotNull List<@NotNull Element>`
`getChildElements(@NotNull Element parent)`
`static @Nullable Element`
`optElement(@NotNull Element parentNode, @NotNull String name)`
`static @NotNull Element`
`reqElement(@NotNull Element parentNode, @NotNull String name)`
`static @NotNull String`
`requireElementText(@NotNull Element node, @NotNull String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLUtil

public XMLUtil()

## Method Details

### elementText

@Nullable public static @Nullable String elementText(@NotNull @NotNull Element node, @NotNull @NotNull String name)

### getChildElements

@NotNull public static @NotNull List<@NotNull Element> getChildElements(@NotNull @NotNull Element parent)

### optElement

@Nullable public static @Nullable Element optElement(@NotNull @NotNull Element parentNode, @NotNull @NotNull String name)

### reqElement

@NotNull public static @NotNull Element reqElement(@NotNull @NotNull Element parentNode, @NotNull @NotNull String name)

### requireElementText

@NotNull public static @NotNull String requireElementText(@NotNull @NotNull Element node, @NotNull @NotNull String name)